Index: palm/trunk/SCRIPTS/NCL/profiles.ncl
===================================================================
--- palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 174)
+++ palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 175)
@@ -9,12 +9,17 @@
    ; ***************************************************
 
-   if (isfilepresent(".ncl_preferences")) then
-      parameter = asciiread(".ncl_preferences",77,"string")
+   if (isfilepresent("~/.ncl_preferences")) then
+      parameter = asciiread("~/.ncl_preferences",129,"string")
       delete(parameter@_FillValue)
    else
-      print(" ")
-      print("'.ncl_preferences' is not existent")
-      print(" ")
-      exit
+      if (isfilepresent("~/palm/current_version/trunk/SRIPTS/NCL/.ncl_preferences")) then
+         parameter = asciiread("~/palm/current_version/trunk/SRIPTS/NCL/.ncl_preferences",129,"string")
+         delete(parameter@_FillValue)
+      else
+         print(" ")
+         print("'.ncl_preferences' is not present in '~/palm/current_version/trunk/SRIPTS/NCL/'")
+         print(" ")
+         exit
+      end if
    end if
  
@@ -22,22 +27,275 @@
    ; set up default parameter values and strings if not assigned in prompt or parameter list
    ; ***************************************************
+  
+   if ( .not. isvar("no_files") ) then 
+      no_files = 1  
+      if (parameter(81) .NE. "1") then
+         no_files = stringtointeger(parameter(81))
+         if (no_files .LT. 1 .OR. no_files .GT. 12) then
+            print(" ")
+            print("Please assign 'no_files' between 1 and 12")  
+            print(" ")
+            exit
+         end if
+      end if
+   else
+      if (no_files .LT. 1 .OR. no_files .GT. 12) then
+         print(" ")
+         print("Please assign 'no_files' between 1 and 12")  
+         print(" ")
+         exit
+      end if
+   end if
+
+   file_in = new(no_files,string)
  
-   if ( .not. isvar("file_in") ) then     		; path+name of input file      
-      if (parameter(7) .EQ. "input file") then
-         print(" ")
-         print("Please provide input file 'file_in = ' either in prompt or parameter_list")
+   if ( .not. isvar("file_1") ) then     		     
+      if (parameter(7) .EQ. "File in") then
+         print(" ")
+         print("Please provide 1st input file 'file_1=' either in prompt or parameter_list")
          print(" ")
          exit
       else
-         file_in = parameter(7)
-      end if      
+         file_in(0) = parameter(7)
+      end if   
+   else
+      file_in(0) = file_1   
    end if
-   if ( .not. isvar("format_out") ) then   		; format of output file 
+   if (.not. isfilepresent(file_in(0))) then
+      print(" ")
+      print("Your 1st input file: '"+file_in(0)+"' does not exist")
+      print(" ")
+      exit
+   end if 
+
+   if (no_files .GT. 1) then
+      if (.not. isvar("file_2"))then
+         file_in(1) = parameter(85)
+         if (file_in(1) .EQ. "File in")
+            print(" ")
+            print("Please provide 2nd input file 'file_2=' either in prompt or parameter_list or change 'no_files' to 1")
+            print(" ")
+            exit
+         end if
+      else
+         file_in(1) = file_2
+      end if
+      if (.not. isfilepresent(file_in(1))) then
+         print(" ")
+         print("Your 2nd input file: '"+file_in(1)+"' does not exist")
+         print(" ")
+         exit
+      end if
+   end if 
+   if (no_files .GT. 2) then
+      if (.not. isvar("file_3"))then
+         file_in(2) = parameter(89)
+         if (file_in(2) .EQ. "File in")
+            print(" ")
+            print("Please provide 3rd input file 'file_3=' either in prompt or parameter_list or change 'no_files' to 2")
+            print(" ")
+            exit
+         end if
+      else
+         file_in(2) = file_3
+      end if
+      if (.not. isfilepresent(file_in(2))) then
+         print(" ")
+         print("Your 3rd input file: '"+file_in(2)+"' does not exist")
+         print(" ")
+         exit
+      end if
+   end if 
+   if (no_files .GT. 3) then
+      if (.not. isvar("file_4"))then
+         file_in(3) = parameter(93)
+         if (file_in(3) .EQ. "File in")
+            print(" ")
+            print("Please provide 4th input file 'file_4=' either in prompt or parameter_list or change 'no_files' to 3")
+            print(" ")
+            exit
+         end if
+      else
+         file_in(3) = file_4
+      end if
+      if (.not. isfilepresent(file_in(3))) then
+         print(" ")
+         print("Your 4th input file: '"+file_in(3)+"' does not exist")
+         print(" ")
+         exit
+      end if 
+   end if 
+   if (no_files .GT. 4) then
+      if (.not. isvar("file_5"))then
+         file_in(4) = parameter(97)
+         if (file_in(4) .EQ. "File in")
+            print(" ")
+            print("Please provide 5th input file 'file_5=' either in prompt or parameter_list or change 'no_files' to 4")
+            print(" ")
+            exit
+         end if
+      else
+         file_in(4) = file_5
+      end if
+      if (.not. isfilepresent(file_in(4))) then
+         print(" ")
+         print("Your 5th input file: '"+file_in(4)+"' does not exist")
+         print(" ")
+         exit
+      end if
+   end if 
+   if (no_files .GT. 5) then
+      if (.not. isvar("file_6"))then
+         file_in(5) = parameter(101)
+         if (file_in(5) .EQ. "File in")
+            print(" ")
+            print("Please provide 6th input file 'file_6=' either in prompt or parameter_list or change 'no_files' to 5")
+            print(" ")
+            exit
+         end if
+      else
+         file_in(5) = file_6
+      end if
+      if (.not. isfilepresent(file_in(5))) then
+         print(" ")
+         print("Your 6th input file: '"+file_in(5)+"' does not exist")
+         print(" ")
+         exit
+      end if
+   end if 
+   if (no_files .GT. 6) then
+      if (.not. isvar("file_7"))then
+         file_in(6) = parameter(105)
+         if (file_in(6) .EQ. "File in")
+            print(" ")
+            print("Please provide 7th input file 'file_7=' either in prompt or parameter_list or change 'no_files' to 6")
+            print(" ")
+            exit
+         end if
+      else
+         file_in(6) = file_7
+      end if
+      if (.not. isfilepresent(file_in(6))) then
+         print(" ")
+         print("Your 7th input file: '"+file_in(6)+"' does not exist")
+         print(" ")
+         exit
+      end if
+   end if 
+   if (no_files .GT. 7) then
+      if (.not. isvar("file_8"))then
+         file_in(7) = parameter(109)
+         if (file_in(7) .EQ. "File in")
+            print(" ")
+            print("Please provide 8th input file 'file_8=' either in prompt or parameter_list or change 'no_files' to 7")
+            print(" ")
+            exit
+         end if
+      else
+         file_in(7) = file_8
+      end if
+      if (.not. isfilepresent(file_in(7))) then
+         print(" ")
+         print("Your 8th input file: '"+file_in(7)+"' does not exist")
+         print(" ")
+         exit
+      end if
+   end if 
+   if (no_files .GT. 8) then
+      if (.not. isvar("file_9"))then
+         file_in(8) = parameter(113)
+         if (file_in(8) .EQ. "File in")
+            print(" ")
+            print("Please provide 9th input file 'file_9=' either in prompt or parameter_list or change 'no_files' to 8")
+            print(" ")
+            exit
+         end if
+      else
+         file_in(8) = file_9
+      end if 
+      if (.not. isfilepresent(file_in(8))) then
+         print(" ")
+         print("Your 9th input file: '"+file_in(8)+"' does not exist")
+         print(" ")
+         exit
+      end if
+   end if 
+   if (no_files .GT. 9) then
+      if (.not. isvar("file_10"))then
+         file_in(9) = parameter(117)
+         if (file_in(9) .EQ. "File in")
+            print(" ")
+            print("Please provide 10th input file 'file_10=' either in prompt or parameter_list or change 'no_files' to 9")
+            print(" ")
+            exit
+         end if
+      else
+         file_in(9) = file_10
+      end if
+      if (.not. isfilepresent(file_in(9))) then
+         print(" ")
+         print("Your 10th input file: '"+file_in(9)+"' does not exist")
+         print(" ")
+         exit
+      end if
+   end if 
+   if (no_files .GT. 10) then
+      if (.not. isvar("file_11"))then
+         file_in(10) = parameter(121)
+         if (file_in(10) .EQ. "File in")
+            print(" ")
+            print("Please provide 11th input file 'file_11=' either in prompt or parameter_list or change 'no_files' to 10")
+            print(" ")
+            exit
+         end if
+      else
+         file_in(10) = file_11
+      end if
+      if (.not. isfilepresent(file_in(10))) then
+         print(" ")
+         print("Your 11th input file: '"+file_in(10)+"' does not exist")
+         print(" ")
+         exit
+      end if
+   end if 
+   if (no_files .GT. 11) then
+      if (.not. isvar("file_12"))then
+         file_in(11) = parameter(125)
+         if (file_in(11) .EQ. "File in")
+            print(" ")
+            print("Please provide 12th input file 'file_12=' either in prompt or parameter_list or change 'no_files' to 11")
+            print(" ")
+            exit
+         end if
+      else
+         file_in(11) = file_12
+      end if
+      if (.not. isfilepresent(file_in(11))) then
+         print(" ")
+         print("Your 12th input file: '"+file_in(11)+"' does not exist")
+         print(" ")
+         exit
+      end if
+   end if 
+
+   if ( .not. isvar("format_out") ) then   		
       format_out = "x11"
       if (parameter(9) .NE. "x11") then
          format_out = parameter(9)  
+         if (format_out .NE. "x11" .OR. format_out .NE. "pdf" .OR. format_out .NE. "eps" .OR. format_out .NE. "ps" .OR. format_out .NE. "epsi" .OR. format_out .NE. "ncgm")then
+            print(" ")
+            print("Your 'format_out = "+format_out+"' is invalid and set to'x11'")
+            print(" ")
+         end if  
       end if 
+   else
+      if (format_out .NE. "x11" .OR. format_out .NE. "pdf" .OR. format_out .NE. "eps" .OR. format_out .NE. "ps" .OR. format_out .NE. "epsi" .OR. format_out .NE. "ncgm")then
+         print(" ")
+         print("Your 'format_out = "+format_out+"' is invalid and set to'x11'")
+         print(" ")
+      end if  
    end if
-   if ( .not. isvar("file_out") ) then    	 	; path+name of output file
+
+   if ( .not. isvar("file_out") ) then    	 	
       file_out = "test"
       if (parameter(11) .NE. "test_ts") then
@@ -45,5 +303,5 @@
      end if     
    end if
-   if ( .not. isvar("no_columns") ) then    		; number of plots in one row
+   if ( .not. isvar("no_columns") ) then    		
       no_columns = 1
       if (parameter(17) .NE. "1") then
@@ -63,10 +321,31 @@
          if (stringtointeger(parameter(23)) .NE. 1) then
             print(" ")
-            print("Please set 'combine' to 0 or 1")
-            print(" ")
-            exit
-         end if
-      end if
+            print("Your 'combine'= "+combine+" is invalid and set to 0")
+            print(" ")
+            combine = 0
+         else
+            if (no_files .GT. 1) then
+               print(" ")
+               print("If you have more than one input file you cannot combine variables: combine is set to 0")
+               print(" ")
+               combine = 0
+            end if 
+         end if
+      end if
+   else
+      if (combine .NE. 0 .AND. combine .NE. 1)then
+         print(" ")
+         print("Your 'combine'= "+combine+" is invalid and set to 0")
+         print(" ")
+         combine = 0
+      end if
+      if (no_files .GT. 1) then
+         combine = 0
+         print(" ")
+         print("If you have more than one input file you cannot combine variables: combine is set to 0")
+         print(" ")
+      end if       
    end if
+
    if (combine .EQ. 1) then
       if( .not. isvar("c_var") ) then
@@ -81,4 +360,5 @@
       end if
    end if
+
    if ( .not. isvar("black") ) then  		 	; color of lines
       black = 0
@@ -87,11 +367,19 @@
          if (stringtointeger(parameter(31)) .NE. 1) then
             print(" ")
-            print("Please set 'black' to 0 or 1")
-            print(" ")
-            exit
-         end if
+            print("Your 'black'= "+black+" is invalid and set to 0")
+            print(" ")
+            black = 0
+         end if
+      end if
+   else
+      if (black .NE. 0 .AND. black .NE. 1)then
+         print(" ")
+         print("Your 'black'= "+black+" is invalid and set to 0")
+         print(" ")
+         black = 0
       end if
    end if
-   if ( .not. isvar("dash") ) then   		 	; pattern of lines
+
+   if ( .not. isvar("dash") ) then   		 	
       dash = 0
       if (parameter(29) .NE. "0") then
@@ -99,10 +387,18 @@
          if (stringtointeger(parameter(29)) .NE. 1) then
             print(" ")
-            print("Please set 'dash' to 0 or 1")
-            print(" ")
-            exit
+            print("Your 'dash'= "+dash+" is invalid and set to 0")
+            print(" ")
+            dash = 0
          end if  
       end if
+   else
+      if (dash .NE. 0 .AND. dash .NE. 1)then
+         print(" ")
+         print("Your 'dash'= "+dash+" is invalid and set to 0")
+         print(" ")
+         dash = 0
+      end if
    end if
+
    if ( .not. isvar("over") ) then     		        ; switches overlaying plots on
       over = 0
@@ -111,8 +407,22 @@
          if (stringtointeger(parameter(37)) .NE. 1) then
             print(" ")
-            print("Please set 'over' to 0 or 1")
-            print(" ")
-            exit
+            print("Your 'over'= "+over+" is invalid and set to 0")
+            print(" ")
+            over = 0
+         else
+            if (no_files .GT. 1) then
+               over = 0
+               print(" ")
+               print("If you have more than one input file you cannot overlay variables: over is set to 0")
+               print(" ")
+            end if
          end if   
+      end if
+   else
+      if (over .NE. 0 .AND. over .NE. 1)then
+         print(" ")
+         print("Your 'over'= "+over+" is invalid and set to 0")
+         print(" ")
+         over = 0
       end if
    end if
@@ -129,17 +439,89 @@
          end if   
       end if
+   else
+      if (prof3d .NE. 0 .AND. prof3d .NE. 1)then
+         print(" ")
+         print("Your 'prof3d'= "+prof3d+" is invalid; please set 'prof3d' to 0 or 1")
+         print(" ")
+         exit
+      end if
    end if
-  
+
+   if (.not. isvar("logy"))then
+      logy = 0
+      if (stringtointeger(parameter(77)) .NE. 0) then
+         logy = stringtointeger(parameter(77))
+         if (stringtointeger(parameter(77)) .NE. 1) then
+            print(" ")
+            print("Your 'logy'= "+logy+" is invalid and set to 0")
+            print(" ")
+            logy = 0
+         end if   
+      end if
+   else
+      if (logy .NE. 0 .AND. logy .NE. 1)then
+         print(" ")
+         print("Your 'logy'= "+logy+" is invalid and set to 0")
+         print(" ")
+         logy = 0
+      end if    
+   end if
+
+   if ( .not. isvar("norm") ) then     		
+      norm = 1.0
+      if (parameter(79) .NE. "1") then
+         norm = stringtofloat(parameter(79)) 
+         if (stringtofloat(parameter(79)) .EQ. 0) then 
+            print(" ")
+            print("You cannot normalise with 0, 'norm' is set to 1")
+            print(" ")
+            norm = 1.0
+         end if
+      end if
+   else
+      if (norm .EQ. 0) then 
+         print(" ")
+         print("You cannot normalise with 0, 'norm' is set to 1")
+         print(" ")
+         norm = 1.0
+      end if
+   end if 
+
    ; ***************************************************
    ; open input file
    ; ***************************************************
 
-   f=addfile( file_in,"r")
-
+   do nof=0,no_files-1
+
+   f=addfile( file_in(nof),"r")
+   
    vNam = getfilevarnames(f) 
+   if (nof .EQ. 0)then
+      vNam0=vNam
+   end if
+   if (nof .NE. 0)then
+      if (dim0 .NE. dim)then
+         print(" ")
+         print("Your Input files does not contain the same variables")
+         print(" ")
+         exit
+      else
+         do i=0,dim0-1
+            if (vNam0(i) .NE. vNam(i))then
+               print(" ")
+               print("Your Input files does not contain the same variables")
+               print(" ")
+               exit
+            end if
+         end do
+      end if
+   end if
+   nof=nof+1
    print(" ")
-   print("Variable on netCDF file: " + vNam)
+   print("Variable in input file "+nof+": " + vNam)
    print(" ")
+   nof=nof-1
    dim = dimsizes(vNam)
+   dim0=dim
   
    if (dim .EQ. 0) then
@@ -149,6 +531,19 @@
    end if
 
+   ;-----------------------------------------------------below steps only for first file -> nof=0
+   if (nof .EQ. 0) then
+
+      plot = new(dim,graphic)
+      plot_ = new(dim,graphic)
+      if (no_files .GT. 1) then
+         multi_plot = new((/no_files,dim/),graphic)
+         max_nof = new((/no_files,dim/),float)
+         min_nof = new((/no_files,dim/),float)
+         name    = new((/no_files,dim/),string)
+         unit_   = new((/no_files,dim/),string)
+      end if
+
    if (prof3d .EQ. 0) then
-
+ 
    do varn = dim-1,0,1
       if ( isStrSubset( vNam(varn), "time") .OR. isStrSubset( vNam(varn), "NORM")) then
@@ -156,5 +551,5 @@
          continue
       end if
-      if (vNam(varn) .EQ. "u" .OR. isStrSubset(vNam(varn), "u_"))
+      if (vNam(varn) .EQ. "u" .OR. isStrSubset(vNam(varn), "u_"))then
          z_u = f->$vNam(varn+1)$
          break
@@ -274,5 +669,5 @@
          continue
       end if 
-      if (vNam(varn) .EQ. "w" .OR. isStrSubset(vNam(varn), "w_"))
+      if (vNam(varn) .EQ. "w" .OR. isStrSubset(vNam(varn), "w_"))then
          z_w = f->$vNam(varn+1)$
          break
@@ -452,4 +847,5 @@
 
    if (zu .EQ. 0 .AND. zw .EQ. 0) then
+      co=0
       do varn=0,dim-1      
          if ( isStrSubset( vNam(varn), "time") .OR. isStrSubset( vNam(varn), "NORM")) then
@@ -466,5 +862,6 @@
             end if
          end if
-         if (check)
+         if (check)then
+            co=co+1
             z = f->$vNam(varn+1)$
             dimz = dimsizes(z)
@@ -472,5 +869,12 @@
          end if   
       end do
+      if (co .EQ. 0) then
+         print(" ")
+         print("The variables 'var=Â°"+var+"Â°' do not exist on your input file")
+         print(" ")
+         exit
+      end if
    end if
+
    if (isvar("z_u") ) then 
       dimz  = dimsizes(z_u)
@@ -484,9 +888,9 @@
 
       do varn = dim-1,0,1
-         if (vNam(varn) .EQ. "zu_3d")
+         if (vNam(varn) .EQ. "zu_3d")then
             z_u = f->zu_3d  
             dimz  = dimsizes(z_u)         
          else 
-            if (vNam(varn) .EQ. "zw_3d")
+            if (vNam(varn) .EQ. "zw_3d")then
                z_w = f->zw_3d
                dimz  = dimsizes(z_w)
@@ -501,12 +905,13 @@
    delta_t=t_all(nt-1)/nt
 
+
    ; ****************************************************	
    ; start of time step and different types of mistakes that could be done
    ; ****************************************************
-
+   
    if ( .not. isvar("start_time_step") ) then   	
       start_time_step=t_all(0)/3600
       if (parameter(13) .NE. "t(0)") then
-         if (stringtodouble(parameter(13)) .GT. t_all(nt-1)/3600)
+         if (stringtodouble(parameter(13)) .GT. t_all(nt-1)/3600)then
             print(" ")
             print("'start_time_step' = "+ parameter(13) +"h is greater than last time step = " + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
@@ -516,5 +921,5 @@
             exit
          end if
-         if (stringtofloat(parameter(13)) .LT. t_all(0)/3600)
+         if (stringtofloat(parameter(13)) .LT. t_all(0)/3600)then
             print(" ")
             print("'start_time_step' = "+ parameter(13) +"h is lower than first time step = " + t_all(0)+"s = "+t_all(0)/3600+"h")           
@@ -524,5 +929,5 @@
       end if
    else 
-      if (start_time_step .GT. t_all(nt-1)/3600)
+      if (start_time_step .GT. t_all(nt-1)/3600)then
          print(" ")
          print("'start_time_step' = "+ start_time_step +"h is greater than last time step = " + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
@@ -532,5 +937,5 @@
          exit
       end if
-      if (start_time_step .LT. t_all(0)/3600)
+      if (start_time_step .LT. t_all(0)/3600)then
          print(" ")
          print("'start_time_step' = "+ start_time_step +"h is lower than first time step = " + t_all(0)+"s = "+t_all(0)/3600+"h")
@@ -540,7 +945,5 @@
    end if
    start_time_step = start_time_step*3600
-   ;if (start_time_step .GE. t_all(0) .AND. start_time_step .LT. t_all(1)+delta_t/2)then
-   ;   st=0
-   ;end if
+
    do i=0,nt-1     
       if (start_time_step .GE. t_all(i)-delta_t/2 .AND. start_time_step .LT. t_all(i)+delta_t/2)then
@@ -557,5 +960,5 @@
       end_time_step = t_all(nt-1)/3600
       if (parameter(15) .NE. "t(end)") then
-         if (stringtodouble(parameter(15)) .GT. t_all(nt-1)/3600)
+         if (stringtodouble(parameter(15)) .GT. t_all(nt-1)/3600)then
             print(" ")
             print("'end_time_step' = "+ parameter(15) +"h is greater than last time step = " + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
@@ -565,5 +968,5 @@
             exit
          end if
-         if (stringtodouble(parameter(15)) .LT. start_time_step/3600)
+         if (stringtodouble(parameter(15)) .LT. start_time_step/3600)then
             print(" ")
             print("'end_time_step' = "+ parameter(15) +"h is lower than 'start_time_step' = "+start_time_step/3600+"h")
@@ -576,5 +979,5 @@
       end if    
    else
-      if (end_time_step .GT. t_all(nt-1)/3600)
+      if (end_time_step .GT. t_all(nt-1)/3600)then
          print(" ")
          print("'end_time_step' = "+ end_time_step +"h is greater than last time step = " + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
@@ -584,5 +987,5 @@
          exit
       end if
-      if (end_time_step .LT. start_time_step/3600)
+      if (end_time_step .LT. start_time_step/3600)then
          print(" ")
          print("'end_time_step' = "+ end_time_step +"h is lower than 'start_time_step' = "+start_time_step+"h")
@@ -594,7 +997,5 @@
    end if
    end_time_step = end_time_step*3600
-   ;if (end_time_step .GE. t_all(0) .AND. end_time_step .LT. t_all(1)+delta_t/2)then
-   ;   et=1
-   ;end if
+
    do i=0,nt-1     
       if (end_time_step .GE. t_all(i)-delta_t/2 .AND. end_time_step .LT. t_all(i)+delta_t/2)then
@@ -608,4 +1009,9 @@
    delete(end_time_step)
    end_time_step=round(et,3)
+
+   print(" ")
+   print("Output of time steps from "+t_all(start_time_step)/3600+" h = "+t_all(start_time_step)+" s => index = "+start_time_step)
+   print("                     till "+t_all(end_time_step)/3600+" h = "+t_all(end_time_step)+" s => index = "+end_time_step)
+   print(" ")
 
    ; ****************************************************
@@ -615,12 +1021,12 @@
    legend_label=new(nt,double)
    do p=start_time_step,end_time_step
-      legend_label(p-start_time_step)=t_all(p)
+      if (t_all(p)/3600 .LT. 1) then
+         legend_label(p-start_time_step)=decimalPlaces(t_all(p)/3600,2,True)
+      else
+         legend_label(p-start_time_step)=decimalPlaces(t_all(p)/3600,0,True)
+      end if
    end do
    
    np = end_time_step-start_time_step+1  
-   if ( black .eq. 0 ) then
-      res=True      
-      res@xyLineColors = ispan(2,237,235/np)
-   end if
 
    ; ***************************************************
@@ -628,4 +1034,5 @@
    ; ***************************************************
 
+   res                         = True
    res@gsnDraw                 = False
    res@gsnFrame                = False
@@ -648,14 +1055,32 @@
    res@pmLegendOrthogonalPosF  = -1.0
    res@pmLegendWidthF          = 0.12
-   res@pmLegendHeightF         = 0.3
+   res@pmLegendHeightF         = 0.04*(end_time_step-start_time_step+1)
    res@lgLabelFontHeightF     = .02 
    res@txFontHeightF      = 0.02
    res@tiXAxisFontHeightF = 0.02
    res@tiYAxisFontHeightF = 0.02
-   res@tiXAxisString      = " "    
-   res@tiYAxisString      = "Height [z]"
-   
+   res@tiXAxisString      = " " 
+   if ( black .eq. 0 ) then  
+      res@xyLineColors = ispan(2,237,235/np)
+   end if
+   if (norm .EQ. 1)then
+      res@tiYAxisString      = "Height [m]"
+   else   
+      res@tiYAxisString      = "Height / "+norm+" [m]"
+   end if
+    
+   if (logy .EQ. 1) then
+      res@trYLog = True 
+   end if
+
    if ( dash .eq. 0 ) then
-      res@xyMonoDashPattern       = True  
+      res@xyMonoDashPattern       = True 
+   else
+      if (no_files .GT. 1)
+         res@xyMonoDashPattern       = True   
+         print(" ") 
+         print("If you use more than one file, patterns for different timesteps cannot be used")
+         print(" ") 
+      end if 
    end if 
 
@@ -670,7 +1095,4 @@
    ; ***************************************************
 
-   plot = new(dim,graphic)
-   plot_ = new(dim,graphic)
-
    if (combine .EQ. 1) then
       if ( .not. isvar("number_comb") ) then        	
